
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商家钱包记录
 *
 * @author tmerclub
 * @date 2021-01-07 16:41:03
 */
public class ShopWalletLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺钱包id
     */
    private Long walletLogId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 关联订单id
     */
    private Long orderId;

    /**
     * 关联退款单id
     */
    private Long refundId;

    /**
     * 收支类型 0支出 1收入
     */
    private Integer ioType;

    /**
     * 金额类型 0 未结算金额 1可提现金额  2冻结金额
     */
    private Integer amountType;

    /**
     * 改变金额
     */
    private Long changeAmount;

    /**
     * 原因 0用户支付 1用户确认收货 2 用户退款申请 3 拒绝用户退款申请 4 提现申请 5 提现申请被拒绝
     */
    private Integer reason;

    /**
     * 用户金额（支付实付金额，退款实际申请金额）
     */
    private Long userAmount;

    /**
     * 平台补贴金额
     */
    private Long platformAmount;

    /**
     * 分销占用金额
     */
    private Long distributionAmount;

    /**
     * 平台佣金
     */
    private Long platformCommission;

    /**
     * 商家优惠金额
     */
    private Long shopReduceAmount;

    public Long getWalletLogId() {
        return walletLogId;
    }

    public void setWalletLogId(Long walletLogId) {
        this.walletLogId = walletLogId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getIoType() {
        return ioType;
    }

    public void setIoType(Integer ioType) {
        this.ioType = ioType;
    }

    public Integer getAmountType() {
        return amountType;
    }

    public void setAmountType(Integer amountType) {
        this.amountType = amountType;
    }

    public Integer getReason() {
        return reason;
    }

    public void setReason(Integer reason) {
        this.reason = reason;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Long changeAmount) {
        this.changeAmount = changeAmount;
    }

    public Long getUserAmount() {
        return userAmount;
    }

    public void setUserAmount(Long userAmount) {
        this.userAmount = userAmount;
    }

    public Long getPlatformAmount() {
        return platformAmount;
    }

    public void setPlatformAmount(Long platformAmount) {
        this.platformAmount = platformAmount;
    }

    public Long getDistributionAmount() {
        return distributionAmount;
    }

    public void setDistributionAmount(Long distributionAmount) {
        this.distributionAmount = distributionAmount;
    }

    public Long getPlatformCommission() {
        return platformCommission;
    }

    public void setPlatformCommission(Long platformCommission) {
        this.platformCommission = platformCommission;
    }

    public Long getShopReduceAmount() {
        return shopReduceAmount;
    }

    public void setShopReduceAmount(Long shopReduceAmount) {
        this.shopReduceAmount = shopReduceAmount;
    }

    @Override
    public String toString() {
        return "ShopWalletLog{" +
                "walletLogId=" + walletLogId +
                ", shopId=" + shopId +
                ", orderId=" + orderId +
                ", refundId=" + refundId +
                ", ioType=" + ioType +
                ", amountType=" + amountType +
                ", changeAmount=" + changeAmount +
                ", reason=" + reason +
                ", userAmount=" + userAmount +
                ", platformAmount=" + platformAmount +
                ", distributionAmount=" + distributionAmount +
                ", platformCommission=" + platformCommission +
                ", shopReduceAmount=" + shopReduceAmount +
                "} " + super.toString();
    }
}
